import { Component } from 'react';
import { ParallaxController, ValidScrollAxis, ScrollAxis } from 'parallax-controller';
export interface ParallaxProviderProps {
    /**
     * Optionally pass the scroll axis for setting horizontal/vertical scrolling. One of vertical or
     * horizontal
     */
    scrollAxis?: ValidScrollAxis;
    /**
     * Optionally set the container that has overflow and will contain parallax elements. Defaults
     * to the HTML body
     */
    scrollContainer?: HTMLElement;
}
export declare class ParallaxProvider extends Component<ParallaxProviderProps, {}> {
    static defaultProps: {
        scrollAxis: ScrollAxis;
    };
    controller: ParallaxController | null;
    constructor(props: ParallaxProviderProps);
    componentDidUpdate(prevProps: ParallaxProviderProps): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
